:root {
  --primary-text-color: #141414;
  --secondary-text-color: #1e2827;
  --text-color-rgb: rgba(20, 20, 20, 0.5);
  --title-color-rgb: rgba(20, 20, 20, 0.4);
  --white: #ffffff;
  --background-color-black: #141414;
  --background-color-dark-green: #1e2827;
  --time-function: cubic-bezier(0.4, 0, 0.2, 1);
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}

p:last-child {
  margin-bottom: 0;
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

a {
  color: currentColor;
  text-decoration: none;
}

button {
  cursor: pointer;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

body {
  font-family: "Epilogue", Arial, Helvetica, sans-serif;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.29;
  letter-spacing: -0.02em;
  color: var(--primary-text-color);
  margin: 0;
  background-color: #fff;
}

.container {
  margin: 0 auto;
  padding: 0 20px;
}

@media screen and (min-width: 375px) {
  .container {
    width: 375px;
  }
}

@media screen and (min-width: 768px) {
  .container {
    width: 744px;
  }
}

@media screen and (min-width: 1280px) {
  .container {
    width: 1216px;
  }
}

.header-page {
  background-color: var(--background-color-black);
  width: 100%;
  position: fixed;
  z-index: 10;
}

.header-container {
  display: flex;
  padding: 16px 10px;
  align-items: center;
}
.header-img {
  width: 28px;
  height: 28px;
  margin-right: 4px;
}
.header-logo {
  display: flex;
  font-size: 22px;
  line-height: 1;
  align-items: center;
  letter-spacing: -0.03em;
  color: var(--white);
  background-color: transparent;
}

.header-list {
  margin-right: 0;
}

.header-btn-open {
  display: inline-flex;
  border: none;
  background-color: transparent;
  padding: 0;
  margin-left: auto;
}
.header-open-icon {
  fill: var(--white);
}
/*====Menu Mobile========*/

.mobile-container {
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  padding: 34px 20px;
  background-color: var(--background-color-dark-green);
  z-index: 999;
  text-align: center;
  transform: translateX(100%);
  transition: transform 250ms var(--time-function);
}
.mobile-container.is-open {
  transform: translateX(0);
}
.mobile-menu {
  width: 767px;
}
.menu-logo {
  display: flex;
  align-items: center;
  text-align: center;
  font-size: 12px;
  line-height: 1;
  letter-spacing: -0.03em;
  color: #ffffff;
  margin-bottom: 200px;
}

.menu-list {
  margin: 0 auto;
}
.menu-item {
  font-size: 14px;
  line-height: 1.3;
  letter-spacing: -0.02em;
  text-transform: uppercase;
  color: #ffffff;
}
.menu-item:not(:last-child) {
  margin-bottom: 14px;
}
.mobile-menu-btn {
  background-color: transparent;
  border: none;
  position: absolute;
  padding: 0;
  top: 29px;
  right: 60px;
}
.mobile-close-icon {
  stroke: var(--white);
}

/*=====Menu Mobile close====*/
@media screen and (max-width: 767px) {
  .header-list {
    display: none;
  }
  .header-tel {
    display: none;
  }
}

@media screen and (min-width: 768px) {
  .header-btn-open {
    display: none;
  }
  .mobile-menu {
    display: none;
  }
  .header-container {
    padding-top: 20px;
    padding-bottom: 20px;
  }
  .header-nav {
    display: flex;
    margin-left: auto;
  }
  .header-logo-item {
    margin-right: 80px;
  }
  .header-logo {
    font-size: 15px;
  }
  .header-img {
    width: 29px;
    height: 29px;
  }
  .header-list {
    display: flex;
    gap: 30px;
    width: 600px;
  }

  .header-item {
    font-size: 12px;
    line-height: 1.33;
    text-align: center;
    text-transform: uppercase;
    color: var(--white);
  }
  .header-order {
    font-size: 9px;
    line-height: 1.33;
    letter-spacing: 0;
    text-align: center;
    text-transform: uppercase;
    padding: 18px 36px;
    margin-left: auto;
    color: var(--white);
    background-color: var(--secondary-text-color);
    border-radius: 8px;
  }

  .header-order:before {
    height: 0%;
    width: 2px;
  }
  .header-order:hover,
  .header-order:active {
    box-shadow: 4px 4px 6px 0 rgba(255, 255, 255, 0.5),
      -4px -4px 6px 0 rgba(116, 125, 136, 0.5),
      inset -4px -4px 6px 0 rgba(255, 255, 255, 0.2),
      inset 4px 4px 6px 0 rgba(0, 0, 0, 0.4);
  }

  .header-link {
    position: relative;
    letter-spacing: normal;
    padding: 10px 0;
  }

  .header-link:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: 0;
    margin: -5px 0;
    background-color: white;
    visibility: hidden;
    transform: scaleX(0);
    transition: all 0.4s ease-in-out 0s;
  }
  .header-link:hover:before {
    visibility: visible;
    transform: scaleX(1);
  }
}

.main-catalog-section {
  padding: 120px 0;
  background-color: #f4f4f4;
}

.main-catalog-title {
  font-weight: 600;
  font-size: 32px;
  line-height: 1.25;
  color: var(--secondary-text-color);
  margin-bottom: 40px;
  margin-bottom: 50px;
  text-align: left;
}

.products-list {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}

.products-item {
  flex-basis: calc((100% - 40px) / 3);
  background-color: #ffffff;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.products-item:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
}

.card {
  display: flex;
  flex-direction: column;
  text-align: center;
}

.card-img {
  width: 100%;
  height: auto;
  border-radius: 10px 10px 0 0;
}

.card-content {
  padding: 20px;
}

.card-title {
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 10px;
  color: #1e2827;
}

.card-description {
  font-size: 14px;
  color: #666666;
}

@media (max-width: 768px) {
  .products-list {
    flex-direction: column;
    gap: 20px;
  }
  .products-item {
    flex-basis: 100%;
  }
}

.footer {
  padding-top: 40px;
  padding-bottom: 20px;
  background-color: var(--background-color-dark-green);
}

.logo-icon-footer {
  fill: #ffffff;
}

.footer-logo {
  display: flex;
  width: 40px;
  height: 40px;
  margin-bottom: 8px;
}

.logo-footer-subtitle {
  color: #fff;
  max-width: 400px;
}

.footer-navigation {
  display: flex;
  justify-content: space-between;
}
.nav-media-container {
  gap: 24px;
}

.nav-list-footer {
  display: flex;
  flex-direction: column;
  gap: 14px;
}
.nav-text-footer {
  font-size: 14px;
  line-height: 1.29;

  letter-spacing: -0.02em;
  text-transform: uppercase;

  color: #ffffff;
}

.nav-text-footer {
  position: relative;
}

.nav-text-footer:before {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  bottom: 0;
  margin: -5px 0;
  background-color: white;
  visibility: hidden;
  transform: scaleX(0);
  transition: all 0.4s ease-in-out 0s;
}
.nav-text-footer:hover:before {
  visibility: visible;
  transform: scaleX(1);
}

.address-footer {
  margin-bottom: 40px;
  margin-top: 40px;
}
.adress-list-footer {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.adress-text-footer {
  font-size: 14px;
  line-height: 1.29;

  letter-spacing: -0.02em;

  color: #ffffff;
  font-style: normal;
}

.checkbox-container {
  margin-bottom: 10px;
  font-size: 14px;
  color: #666;
}

.checkbox-container input[type="checkbox"] {
  margin-right: 10px;
  width: 16px;
  height: 16px;
  cursor: pointer;
}

.checkbox-container {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
  color: #f4f4f4;
}

.checkbox-container input {
  margin-right: 10px;
}

.checkbox-container a {
  color: #007bff;
}

.privacy-list {
  display: flex;
  gap: 14px;
  margin-top: 14px;
  justify-content: center;
}

.text-def-footer {
  font-size: 12px;
  line-height: 1.17;
  text-align: center;
  letter-spacing: -0.02em;
  color: #c6cdd1;
  opacity: 0.9;
}

.text-footer {
  font-size: 12px;
  line-height: 1.17;
  text-align: center;
  letter-spacing: -0.02em;
  color: #c6cdd1;
  opacity: 0.9;
  cursor: pointer;
}

.text-footer:hover {
  color: #fff;
}

/** PHONE */
@media screen and (min-width: 375px) {
  .container {
    width: 375px;
  }
}

/**TABLET */
@media screen and (min-width: 768px) {
  .container {
    width: 744px;
  }

  .footer {
    padding-top: 80px;
  }
  .footer-logo {
    width: 50px;
    height: 50px;
  }
  .logo-adress-container {
    margin: 0;
  }
  .nav-list-footer {
    gap: 18px;
  }
  .media-list-footer {
    margin-bottom: 0;
  }
  .nav-media-container {
    margin-bottom: 70px;
  }
  .nav-text-footer {
    font-size: 18px;
    line-height: 1.33;

    letter-spacing: -0.02em;
    text-transform: uppercase;
  }
  .address-footer {
  }
  .adress-text-footer {
    font-size: 18px;
    line-height: 1.33;

    letter-spacing: -0.02em;
  }
  .media-list-footer {
    gap: 16px;
  }
  .media-item-footer {
    width: 44px;
    height: 44px;
  }
  .icon-media-footer {
    width: 28px;
    height: 28px;
  }
  .text-footer-container {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .privacy-list {
    margin: 0;
    gap: 18px;
  }
  .text-footer {
    font-size: 14px;
    line-height: 1.29;

    letter-spacing: -0.02em;
  }
}

@media screen and (min-width: 1280px) {
  .container {
    width: 1216px;
  }
  .footer {
    padding-top: 104px;
    padding-bottom: 32px;
  }
}

.footer-form-container {
  max-width: 400px;
  background-color: rgba(107, 137, 139, 0.5);
  padding: 40px;
  border-radius: 10px;
  margin-bottom: 8px;
}

.footer-form-title {
  text-align: center;
  font-size: 18px;
  color: #ffffff;
  margin-bottom: 20px;
}

.footer-form-input,
.footer-form-textarea {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  background-color: darkgray;
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 5px;
  color: #ffffff;
  font-size: 14px;
}

.footer-form-input::placeholder,
.footer-form-textarea::placeholder {
  color: rgba(255, 255, 255, 0.6);
}

.footer-form-btn {
  font-size: 12px;
  line-height: 1.33;
  letter-spacing: 0.5px;
  text-align: center;
  text-transform: uppercase;
  padding: 12px 24px;
  margin-left: auto;
  color: white;
  background: linear-gradient(90deg, #ff7e5f, #feb47b);
  border-radius: 8px;
  border: none;
  cursor: pointer;
  transition: background 0.3s ease, box-shadow 0.3s ease;
  margin-bottom: 20px;
}

.footer-form-btn:hover,
.footer-form-btn:active {
  background: linear-gradient(90deg, #feb47b, #ff7e5f);
  box-shadow: 0px 8px 15px rgba(255, 126, 95, 0.3),
    0px 4px 10px rgba(0, 0, 0, 0.2);
}

.footer-form-btn:focus {
  outline: none;
  box-shadow: 0px 0px 10px 2px rgba(255, 126, 95, 0.7);
}

@media screen and (min-width: 768px) {
  .nav-media-container {
    display: flex;
    justify-content: space-between;
  }

  .footer-form-container {
    margin-left: auto;
    margin-bottom: 0;
  }
}

.address-footer {
  margin-bottom: 40px;
  margin-top: 40px;
  color: #ffffff;
}

.adress-list-footer {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.adress-text-footer {
  font-size: 14px;
  line-height: 1.29;
  letter-spacing: -0.02em;
  color: #ffffff;
  text-decoration: none;
}

.adress-text-footer:hover {
  text-decoration: underline;
  color: #ff7e5f;
}

.social-media-list-footer {
  margin-top: 12px;
  display: flex;
  gap: 14px;
  list-style: none;
  padding-left: 0;
}

.social-link {
  text-decoration: none;
  color: #ffffff;
  transition: color 0.3s ease-in-out;
}

.social-link:hover {
  color: #ff7e5f;
}

.social-icon {
  width: 28px;
  height: 28px;
  filter: invert(89%) sepia(11%) saturate(0%) hue-rotate(181deg)
    brightness(100%) contrast(92%);
  transition: filter 0.3s ease;
}

.social-link:hover .social-icon {
  filter: invert(74%) sepia(83%) saturate(746%) hue-rotate(330deg)
    brightness(99%) contrast(101%);
}

@media screen and (min-width: 768px) {
  .social-icon {
    width: 40px;
    height: 40px;
  }
}

.cookie-consent-container {
  position: fixed;
  bottom: 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  color: #fff;
  padding: 20px;
  text-align: center;
  z-index: 1000;
}

.cookie-buttons {
  margin-top: 10px;
}

.cookie-button {
  padding: 10px;
  margin-left: 10px;
  background-color: #4caf50;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.cookie-button.reject {
  background-color: #f44336;
}

.hide {
  display: none;
}
